Create App Version
Create an App Version
curl --request POST \
--url https://mycluster.domino.tech/api/apps/beta/apps/{appId}/versions \
--header 'Content-Type: application/json' \
--header 'X-Domino-Api-Key: <api-key>' \
--data '
{
"bundleId": "<string>",
"dataPlaneId": "<string>",
"description": "<string>",
"dfsCommitId": "<string>",
"entryScript": "<string>",
"environmentId": "<string>",
"environmentRevisionId": "<string>",
"extendedIdentityPropagationToAppsEnabled": false,
"externalVolumeMountIds": [
"<string>"
],
"hardwareTierId": "<string>",
"netAppVolumeIds": [
"<string>"
],
"resolvedDfsCommitId": "<string>",
"resolvedGitCommitId": "<string>",
"resolvedImportedGitRepos": [
{
"ref": "<string>",
"repoId": "<string>",
"repoName": "<string>"
}
],
"resolvedImportedProjects": [
{
"commitId": "<string>",
"directoryName": "<string>",
"ownerId": "<string>",
"projectId": "<string>",
"projectName": "<string>",
"release": "<string>"
}
],
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"vanityUrl": "<string>"
}
'import requests
url = "https://mycluster.domino.tech/api/apps/beta/apps/{appId}/versions"
payload = {
"bundleId": "<string>",
"dataPlaneId": "<string>",
"description": "<string>",
"dfsCommitId": "<string>",
"entryScript": "<string>",
"environmentId": "<string>",
"environmentRevisionId": "<string>",
"extendedIdentityPropagationToAppsEnabled": False,
"externalVolumeMountIds": ["<string>"],
"hardwareTierId": "<string>",
"netAppVolumeIds": ["<string>"],
"resolvedDfsCommitId": "<string>",
"resolvedGitCommitId": "<string>",
"resolvedImportedGitRepos": [
{
"ref": "<string>",
"repoId": "<string>",
"repoName": "<string>"
}
],
"resolvedImportedProjects": [
{
"commitId": "<string>",
"directoryName": "<string>",
"ownerId": "<string>",
"projectId": "<string>",
"projectName": "<string>",
"release": "<string>"
}
],
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"vanityUrl": "<string>"
}
headers = {
"X-Domino-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Domino-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bundleId: '<string>',
dataPlaneId: '<string>',
description: '<string>',
dfsCommitId: '<string>',
entryScript: '<string>',
environmentId: '<string>',
environmentRevisionId: '<string>',
extendedIdentityPropagationToAppsEnabled: false,
externalVolumeMountIds: ['<string>'],
hardwareTierId: '<string>',
netAppVolumeIds: ['<string>'],
resolvedDfsCommitId: '<string>',
resolvedGitCommitId: '<string>',
resolvedImportedGitRepos: [{ref: '<string>', repoId: '<string>', repoName: '<string>'}],
resolvedImportedProjects: [
{
commitId: '<string>',
directoryName: '<string>',
ownerId: '<string>',
projectId: '<string>',
projectName: '<string>',
release: '<string>'
}
],
tags: [{key: '<string>', value: '<string>'}],
vanityUrl: '<string>'
})
};
fetch('https://mycluster.domino.tech/api/apps/beta/apps/{appId}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": 123,
"environmentId": "<string>",
"environmentRevisionId": "<string>",
"extendedIdentityPropagationToAppsEnabled": true,
"externalVolumeMountIds": [
"<string>"
],
"hardwareTierId": "<string>",
"id": "<string>",
"netAppVolumeIds": [
"<string>"
],
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"updatedAt": 123,
"autoscalingSpecification": {
"enabled": true,
"maxReplicas": 15,
"minReplicas": 15,
"scaleDownStabilizationWindowSeconds": 1800,
"scaleUpStabilizationWindowSeconds": 1800,
"targetCpuAvgUtilizationPct": 50,
"targetMemoryAvgUtilizationPct": 50,
"useSessionAffinity": true
},
"bundleId": "<string>",
"bundleName": "<string>",
"currentInstance": {
"createdAt": 123,
"id": "<string>",
"status": "<string>",
"describeUrl": "<string>",
"dfsCommitId": "<string>",
"gitCommitId": "<string>"
},
"description": "<string>",
"dfsCommitId": "<string>",
"entryScript": "<string>",
"gitRef": {
"type": "head",
"value": "<string>"
},
"publisher": {
"id": "<string>",
"name": "<string>"
},
"resolvedCommits": {
"dfsCommitId": "<string>",
"gitCommitId": "<string>",
"importedGitRepos": [
{
"ref": "<string>",
"repoId": "<string>",
"repoName": "<string>"
}
],
"importedProjects": [
{
"commitId": "<string>",
"directoryName": "<string>",
"ownerId": "<string>",
"projectId": "<string>",
"projectName": "<string>",
"release": "<string>"
}
]
},
"vanityUrl": "<string>",
"versionNumber": 123
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"errors": [
"<string>"
],
"requestId": "bbd78579-93c4-45ee-a983-0d5c8da6d5b1"
}{
"error": "<string>"
}Authorizations
Path Parameters
The id of the app to create the version for.
Body
Request to create an app version
Show child attributes
Show child attributes
Guardrails bundle ID. Immutable after creation; cannot be changed via update.
Target data plane ID. If omitted but hardwareTierId is provided, auto-populated from the hardware tier's data plane. Returns 422 if both are provided and they don't match.
Optional version description.
Optional inline script to execute instead of the app's entry point. If provided, this script will take precedence over the entry point.
Show child attributes
Show child attributes
Pre-resolved DFS commit ID. If provided, used for version comparison instead of resolving from dfsCommitId.
Pre-resolved git commit SHA. If provided, used for version comparison instead of resolving from gitRef.
Pre-resolved imported git repo snapshots. If provided, used for version comparison.
Show child attributes
Show child attributes
Pre-resolved imported project snapshots. If provided, used for version comparison.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Guardrails bundle ID. Immutable after creation.
The most recently created instance for this AppVersion.
Show child attributes
Show child attributes
Optional version description.
The original DFS commit ID specified when the version was created. May be null if not explicitly provided.
Optional inline script to execute instead of the app's entry point. If provided, this script will take precedence over the entry point.
The original git reference (e.g. branch name) specified when the version was created.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Commit and import snapshots resolved at version creation time, representing the actual values used for execution.
Show child attributes
Show child attributes
Related topics
Create an AppPublish and deploy App versionsGovern an AppApp versioning and reproducibilityWas this page helpful?
